## emacspeak 46.0+dfsg

=== Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak,  TTS,Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{ Configuration

MAKE=make
prefix = /usr
SRC = $(shell pwd)
README = README

# }}}
# {{{  User level targets emacspeak info  outloud espeak 

emacspeak:
	@test -f  lisp/emacspeak-loaddefs.el || @$(MAKE) config
	@cd lisp && $(MAKE)
	@make   $(README)
	@chmod 644 $(README)
	@echo "See the NEWS file for a  summary of new features — Control e cap n in Emacs"
	@echo "See Emacspeak Customizations for customizations — control e cap C in Emacs"
	@echo  "Read the Emacspeak Manual — Control e TAB in Emacs"
	@make install

outloud: 
	cd servers/linux-outloud && $(MAKE) || echo "Cant build Outloud server!"

espeak: 
	cd servers/linux-espeak && $(MAKE) || echo "Cant build espeak server!"

# }}}
# {{{  Maintainance targets   dist

GITVERSION=$(shell git show HEAD | head -1  | cut -b 8- )
README: 
	@rm -f README
	@echo "Emacspeak  Revision $(GITVERSION)" > $(README)
	@echo "Distribution created by `whoami` on `hostname`" >> $(README)
	@echo "Unpack the  distribution And type make config " >> $(README)
	@echo "Then type make" >> $(README)
EXCLUDES=-X .excludes --exclude-backups
dist:
	make ${README}
	tar cvf  emacspeak.tar $(EXCLUDES) .

# }}}
# {{{ User level target--  config

config:
	@cd etc && $(MAKE) config  
	@cd lisp && $(MAKE) config
	@echo "Configured emacspeak in directory $(SRC). Now type make emacspeak"

# }}}
# {{{  complete build

all: emacspeak

#clean, config and build
q:
	make clean
	make config 
	make 

# }}}
# {{{  user level target-- clean

clean:
	cd lisp &&  $(MAKE) clean

# }}}
# {{{ labeling releases

#label  releases when ready
LABEL=#version number
MSG="Releasing ${LABEL}"
release: #supply LABEL=NN.NN
	git tag -a -s ${LABEL} -m "Tagging release with ${LABEL}"
	git push --tags
	$(MAKE) dist
	mkdir emacspeak-${LABEL}; \
cd emacspeak-${LABEL} ;\
	tar xvf ../emacspeak.tar ; \
	rm -f ../emacspeak.tar ; \
cd .. ;\
	tar cvfj emacspeak-${LABEL}.tar.bz2 emacspeak-$(LABEL); \
	/bin/rm -rf emacspeak-${LABEL} ;\
	echo "Prepared release in emacspeak-${LABEL}.tar.bz2"
	./utils/emacspeak-ghr ${LABEL} "emacspeak-${LABEL}.tar.bz2"

# }}}
# {{{Install: 

install:
	@echo "To run  this Emacspeak build, add this  line to the top of your .emacs:"
	@echo "(load-file \"`pwd`/lisp/emacspeak-setup.el\")"
	@echo "Package maintainers: see   etc/install.org	 for instructions."

# }}}
# {{{ end of file

#local variables:
#mode: makefile
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== lisp/Makefile ===
# $Author: tv.raman.tv $
# Description:  Makefile for Emacspeak
# Keywords: Emacspeak, TTS, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu
# A speech interface to Emacs |
# $Date: 2007-06-24 15:56:04 -0700 (Sun, 24 Jun 2007) $ |
#  $Revision: 4673 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 1995 -- 2017, T. V. Raman

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved.
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make rules

# what emacs is called on your system
EMACS = emacs
SRC=".."
# How to run in batch mode
BATCH = -batch -q -no-site-file    
DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
-l $(SRC)/lisp/emacspeak-loaddefs.el \
-l $(SRC)/lisp/emacspeak-cus-load.el \
-l $(SRC)/lisp/g-client/g-load-path.el

COMPILE =  -f batch-byte-compile
# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<
# }}}
# {{{  grouping files into dependent modules

#The various modules:
TTS_OBJECTS = acss-structure.elc \
dtk-speak.elc		dectalk-voices.elc\
tts.elc tts-cmds.elc  plain-voices.elc espeak-voices.elc \
outloud-voices.elc  mac-voices.elc\
dtk-interp.elc dtk-unicode.elc

SPEAK_OBJECTS =   \
emacspeak-speak.elc  \
emacspeak-actions.elc \
voice-setup.elc \
emacspeak-personality.elc \
emacspeak-popup.elc \
emacspeak-pronounce.elc \
emacspeak-sounds.elc

CORE_OBJECTS =  \
emacspeak-load-path.elc \
emacspeak.elc \
emacspeak-setup.elc \
emacspeak-advice.elc\
emacspeak-keymap.elc\
emacspeak-fix-interactive.elc\
emacspeak-re-builder.elc \
emacspeak-redefine.elc\
emacspeak-replace.elc \
emacspeak-table.elc \
emacspeak-table-ui.elc \
emacspeak-tabulate.elc \
amixer.elc \
emacspeak-add-log.elc \
emacspeak-amark.elc \
emacspeak-analog.elc \
emacspeak-ansi-color.elc \
emacspeak-apt-sources.elc \
emacspeak-arc.elc \
emacspeak-auctex.elc \
emacspeak-autoload.el \
emacspeak-aumix.elc \
emacspeak-bbc.elc \
emacspeak-bbdb.elc \
emacspeak-bibtex.elc \
emacspeak-bookmark.elc \
emacspeak-bookshare.elc \
emacspeak-browse-kill-ring.elc \
emacspeak-bs.elc \
emacspeak-buff-menu.elc \
emacspeak-c.elc \
emacspeak-calc.elc \
emacspeak-calculator.elc \
emacspeak-calendar.elc \
emacspeak-cedet.elc \
emacspeak-checkdoc.elc \
emacspeak-ciel.elc \
emacspeak-cider.elc \
emacspeak-clojure.elc \
emacspeak-cmuscheme.elc \
emacspeak-compile.elc \
emacspeak-company.elc \
congrats.elc \
emacspeak-cperl.elc \
emacspeak-custom.elc \
emacspeak-dbus.elc \
emacspeak-dictionary.elc \
emacspeak-desktop.elc \
emacspeak-diff-mode.elc \
emacspeak-dired.elc \
emacspeak-dismal.elc \
emacspeak-dmacro.elc \
emacspeak-epub.elc \
emacspeak-ecb.elc \
emacspeak-ein.elc \
emacspeak-ediary.elc \
emacspeak-ediff.elc \
emacspeak-elisp-refs.elc \
emacspeak-elscreen.elc \
emacspeak-eww.elc \
emacspeak-eclim.elc \
emacspeak-elfeed.elc \
emacspeak-enriched.elc \
emacspeak-xkcd.elc \
emacspeak-emms.elc \
emacspeak-entertain.elc \
emacspeak-epa.elc \
emacspeak-eperiodic.elc \
emacspeak-erc.elc \
emacspeak-eshell.elc \
emacspeak-ess.elc \
emacspeak-evil.elc \
emacspeak-eterm.elc \
emacspeak-eudc.elc \
emacspeak-facemenu.elc \
emacspeak-feeds.elc \
emacspeak-filtertext.elc \
emacspeak-find-dired.elc \
emacspeak-ftf.elc \
emacspeak-find-func.elc \
emacspeak-flycheck.elc \
emacspeak-flyspell.elc \
emacspeak-folding.elc \
emacspeak-forms.elc \
emacspeak-generic.elc \
emacspeak-geiser.elc \
emacspeak-gnuplot.elc \
emacspeak-gnus.elc\
emacspeak-go-mode.elc \
emacspeak-gomoku.elc \
emacspeak-google.elc \
emacspeak-gridtext.elc \
emacspeak-gtags.elc \
emacspeak-gud.elc \
emacspeak-helm.elc \
emacspeak-hide.elc \
emacspeak-hideshow.elc \
emacspeak-ibuffer.elc \
emacspeak-ido.elc \
emacspeak-ivy.elc \
emacspeak-imenu.elc \
emacspeak-info.elc\
emacspeak-ispell.elc \
emacspeak-jabber.elc \
emacspeak-indium.elc \
emacspeak-jde.elc \
emacspeak-js2.elc \
emacspeak-jss.elc \
emacspeak-kite.elc \
emacspeak-kmacro.elc  \
emacspeak-librivox.elc \
emacspeak-lua.elc \
emacspeak-magit.elc \
emacspeak-m-player.elc \
emacspeak-make-mode.elc \
emacspeak-markdown.elc \
emacspeak-man.elc \
emacspeak-message.elc \
emacspeak-metapost.elc \
emacspeak-midge.elc \
emacspeak-mpg123.elc \
emacspeak-muse.elc \
emacspeak-mspools.elc \
emacspeak-net-utils.elc \
emacspeak-newsticker.elc \
emacspeak-ocr.elc \
emacspeak-org.elc \
emacspeak-npr.elc \
emacspeak-nxml.elc \
emacspeak-outline.elc \
emacspeak-package.elc \
emacspeak-paradox.elc \
emacspeak-perl.elc \
emacspeak-php-mode.elc \
emacspeak-pianobar.elc \
emacspeak-proced.elc \
emacspeak-projectile.elc \
emacspeak-py.elc \
emacspeak-elpy.elc \
emacspeak-pydoc.elc \
emacspeak-python.elc \
emacspeak-racket.elc \
emacspeak-re-builder.elc \
emacspeak-reftex.elc \
emacspeak-rst.elc \
emacspeak-related.elc \
emacspeak-rpm-spec.elc \
emacspeak-remote.elc \
emacspeak-rmail.elc \
emacspeak-rpm.elc  \
emacspeak-ruby.elc \
emacspeak-slime.elc \
emacspeak-ses.elc \
emacspeak-setup.el \
emacspeak-sgml-mode.elc \
emacspeak-sh-script.elc \
emacspeak-sigbegone.elc \
emacspeak-smart-window.elc \
emacspeak-solitaire.elc \
emacspeak-speedbar.elc \
ladspa.elc \
sox.elc \
soundscape.elc \
sox-gen.elc \
emacspeak-sql.elc \
emacspeak-supercite.elc \
emacspeak-sudoku.elc \
emacspeak-etable.elc \
emacspeak-tapestry.elc \
emacspeak-tar.elc \
emacspeak-tcl.elc \
emacspeak-tdtd.elc \
emacspeak-tempo.elc \
emacspeak-tetris.elc \
emacspeak-threes.elc \
emacspeak-tide.elc \
emacspeak-2048.elc \
emacspeak-texinfo.elc \
emacspeak-todo-mode.elc \
emacspeak-twittering.elc \
emacspeak-url-template.elc \
emacspeak-view.elc \
emacspeak-vm.elc \
emacspeak-w3.elc \
emacspeak-w3m.elc \
emacspeak-wdired.elc \
emacspeak-we.elc \
emacspeak-webspace.elc \
emacspeak-webutils.elc \
emacspeak-websearch.elc \
emacspeak-widget.elc \
emacspeak-windmove.elc \
emacspeak-winring.elc \
emacspeak-woman.elc \
emacspeak-wizards.elc  \
emacspeak-wrolo.elc \
emacspeak-xref.elc \
emacspeak-xml-shell.elc \
emacspeak-xslt.elc \
emacspeak-yasnippet.elc 

ADDON_OBJECTS = \
nm.elc \
tapestry.elc   stack-f.elc  \
dom-addons.elc \
xbacklight.elc  toy-braille.elc tetris.elc cd-tool.elc 

OBJECTS = $(TTS_OBJECTS) $(SPEAK_OBJECTS) $(CORE_OBJECTS)  $(ADDON_OBJECTS)

# }}}
# {{{  User level targets all

all: $(OBJECTS)
	cd g-client; $(MAKE)

muggles: emacspeak-muggles.el
	make emacspeak-muggles.elc
maths: emacspeak-maths.el
	make emacspeak-maths.elc
force:

config: emacspeak-loaddefs.el emacspeak-cus-load.el 
lint:
	echo "." |\
emacs -batch -q \
-l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
-f elint-directory 

# }}}
# {{{build time target --loaddefs

emacspeak-loaddefs.el: force
	@echo ";;;Auto generated" > emacspeak-loaddefs.el
	$(EMACS) $(BATCH)  -l ./emacspeak-load-path.el  \
	-l ./emacspeak-autoload.el  \
	-f emacspeak-auto-generate-autoloads

emacspeak-cus-load.el: force
	$(EMACS) $(BATCH) -l ./emacspeak-load-path.el  -l cus-dep -l ./emacspeak-autoload.el \
-f emacspeak-auto-custom-make-dependencies "."
	mv cus-load.el emacspeak-cus-load.el

# }}}
# {{{  Make rules for the various modules

#dtk module:
#dtk-interp contains the interface to the interpreter
#Modules using functions from the dtk module should depend on dtk-speak

dtk-interp.elc: dtk-interp.el
dtk-unicode.elc: dtk-unicode.el
dtk-speak.elc: dtk-speak.el  dtk-interp.elc dtk-unicode.elc tts.elc
acss-structure.elc: acss-structure.el tts.elc 
tts.elc: tts.el
tts-cmds.elc: tts-cmds.el tts.elc
dectalk-voices.elc: dectalk-voices.el voice-setup.elc 
outloud-voices.elc: outloud-voices.el voice-setup.elc 
plain-voices.elc: plain-voices.el voice-setup.elc 
mac-voices.elc: mac-voices.el voice-setup.elc 
espeak-voices.elc: espeak-voices.el voice-setup.elc 
voice-setup.elc: voice-setup.el acss-structure.elc 
emacspeak-amark.elc: emacspeak-amark.el
cd-tool.elc: cd-tool.el
nm.elc: nm.el
amixer.elc: amixer.el
emacspeak-actions.elc: emacspeak-actions.el
emacspeak-add-log.elc: emacspeak-add-log.el dtk-speak.elc voice-setup.elc
emacspeak-advice.elc: emacspeak-advice.el dtk-speak.elc voice-setup.elc
emacspeak-analog.elc: emacspeak-analog.el dtk-speak.elc voice-setup.elc
emacspeak-ansi-color.elc: emacspeak-ansi-color.el dtk-speak.elc voice-setup.elc
emacspeak-apt-sources.elc: emacspeak-apt-sources.el dtk-speak.elc voice-setup.elc
emacspeak-arc.elc: emacspeak-arc.el dtk-speak.elc voice-setup.elc
emacspeak-auctex.elc: emacspeak-auctex.el dtk-speak.elc voice-setup.elc
emacspeak-aumix.elc: emacspeak-aumix.el dtk-speak.elc voice-setup.elc
emacspeak-autoload.elc: emacspeak-autoload.el
emacspeak-bbc.elc: emacspeak-bbc.el dtk-speak.elc voice-setup.elc
emacspeak-bbdb.elc: emacspeak-bbdb.el dtk-speak.elc voice-setup.elc
emacspeak-bibtex.elc: emacspeak-bibtex.el dtk-speak.elc voice-setup.elc
emacspeak-bookmark.elc: emacspeak-bookmark.el dtk-speak.elc voice-setup.elc
emacspeak-bookshare.elc: emacspeak-bookshare.el dtk-speak.elc voice-setup.elc emacspeak-webutils.elc
emacspeak-browse-kill-ring.elc: emacspeak-browse-kill-ring.el dtk-speak.elc voice-setup.elc
emacspeak-bs.elc: emacspeak-bs.el dtk-speak.elc voice-setup.elc
emacspeak-buff-menu.elc: emacspeak-buff-menu.el dtk-speak.elc voice-setup.elc
emacspeak-c.elc: emacspeak-c.el dtk-speak.elc voice-setup.elc
emacspeak-cider.elc: emacspeak-cider.el dtk-speak.elc voice-setup.elc
emacspeak-clojure.elc: emacspeak-clojure.el dtk-speak.elc voice-setup.elc
emacspeak-cmuscheme.elc: emacspeak-cmuscheme.el dtk-speak.elc voice-setup.elc
emacspeak-ciel.elc: emacspeak-ciel.el dtk-speak.elc
emacspeak-calc.elc: emacspeak-calc.el
emacspeak-calculator.elc: emacspeak-calculator.el  dtk-speak.elc voice-setup.elc
emacspeak-calendar.elc: emacspeak-calendar.el dtk-speak.el
emacspeak-cedet.elc: emacspeak-cedet.el dtk-speak.elc voice-setup.elc
emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
congrats.elc: congrats.el dtk-speak.elc
emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
emacspeak-epub.elc: emacspeak-epub.el dtk-speak.elc voice-setup.elc
emacspeak-dbus.elc: emacspeak-dbus.el dtk-speak.elc nm.elc 
emacspeak-desktop.elc: emacspeak-desktop.el dtk-speak.elc voice-setup.elc
emacspeak-dictionary.elc: emacspeak-dictionary.el dtk-speak.elc voice-setup.elc
emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
emacspeak-dmacro.elc: emacspeak-dmacro.el dtk-speak.elc voice-setup.elc
emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc
emacspeak-elscreen.elc: emacspeak-elscreen.el dtk-speak.elc voice-setup.elc
emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
# $Id: Makefile 4373 2007-02-17 03:59:51Z tv.raman.tv $
# $Author: tv.raman.tv $
# Description:  Makefile for g-client -- An Emacs client for Google services
# Keywords: Emacs, G-CLIENT, Makefile
# {{{ LCD Entry:

# LCD Archive Entry:
# g-client| T. V. Raman |raman@cs.cornell.edu
# An emacs  interface to Google services |
# $Date: 2007-02-16 19:59:51 -0800 (Fri, 16 Feb 2007) $ |
#  $Revision: 4373 $ |
# Location undetermined
#

# }}}
# {{{ Copyright:

#Copyright (C) 2006--2007, T. V. Raman
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
# {{{make definitions

# what emacs is called on your system
EMACS = emacs
# How to run in batch mode
BATCH = -batch -q -no-site-file   
DEPS= -l ./g-load-path.el -l ./g-loaddefs.el
COMPILE =  -f batch-byte-compile
OBJECTS= g-auth.elc \
g-app.elc \
g-utils.elc \
g.elc \
gweb.elc \
gmaps.elc \
gm-nnir.elc \


MODULES=\
 g-auth.el g-app.el g-utils.el g.el gweb.el gmaps.el gm-nnir.el 

# How to compile
%.elc:  %.el
	$(EMACS) $(BATCH)  $(DEPS)  $(COMPILE) $<

# }}}
# {{{build time target: config, all

all: ${MODULES} g-loaddefs.el
	@make config 
	@make $(OBJECTS)

config: g-cus-load.el g-autogen.el



g-loaddefs.el:${MODULES}
	@echo ";;;Auto generated" > g-loaddefs.el
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-generate-autoloads

g-cus-load.el:${MODULES}
	$(EMACS) $(BATCH) -l ./g-autogen.el -f g-autogen-custom-make-dependencies "."

# }}}
# {{{  Make rules for the various modules

g-utils.elc: g-utils.el
g-auth.elc: g-auth.el g-utils.elc
g-app.elc: g-auth.elc g-utils.elc g-app.el
g.elc: g.el  g-auth.elc
gweb.elc: gweb.el g-utils.elc
gmaps.elc: gmaps.el g-utils.elc
gm-nnir.elc: gm-nnir.el 
# }}}
# {{{dist

dist:../g-client.tar.bz2

../g-client.tar.bz2: 
	rm -f $@
	tar  cfj $@ -X .excludes -C ..  g-client

# }}}
# {{{  user level target-- clean

clean:
	rm -f *.elc   g-cus-loads.el g-loaddefs.el

# }}}
# {{{dev targets:

indent:
	emacs -batch -q -no-site-file -l ../../utils/indent-files.el

# }}}
# {{{ end of file

#local variables:
#mode: makefile
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== debian/changelog ===
emacspeak (46.0+dfsg-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Update maintainer mailing list.
  * emacspeak.links: Drop DTK link, not shipped any more (Closes: #866157).

  [ Paul Gevers ]
  * Add Breaks for emacs20 - emacs23 (Closes: #867711)

 -- Paul Gevers <elbrus@debian.org>  Sat, 08 Jul 2017 22:34:58 +0200

emacspeak (46.0+dfsg-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.

  [ Paul Gevers ]
  * Only run $(MAKE) as test in indep target (to prevent emacs in arch
    build)

 -- Paul Gevers <elbrus@debian.org>  Sat, 24 Jun 2017 06:37:49 +0200

emacspeak (46.0+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Refresh and drop patches
  * Update build logic as upstream doesn't have install target anymore
  * Convert d/copyright to machine readable format
  * Add fix-FTBFS-due-to-unknown-variable.patch because sh can't find
    the @make binary
  * Change (Build-)Depends to emacs25 | emacs(-nox) to 47.0~ as otherwise
    dom.el can't be found
  * Move upstream make target to dh_auto_test target as the compilation is
    really done during package install
  * Fix upstream changelog, we missed a couple of versions
  * Add use-tclsh-as-interpreter-for-ssh-espeak.patch as /usr/bin/tcl
    doesn't exist
  * Bump standards version to 4.0.0 (no changes)

 -- Paul Gevers <elbrus@debian.org>  Fri, 23 Jun 2017 21:24:06 +0200

=== debian/control ===
Source: emacspeak
Section: editors
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders: Paul Gevers <elbrus@debian.org>
Build-Depends: debhelper (>= 10~),
               libespeak-ng-libespeak-dev,
               po-debconf,
               tcl-dev,
Build-Depends-Indep: csound,
                     docbook-xsl,
                     emacs25-nox | emacs-nox (>=47.0~),
                     xsltproc,
Standards-Version: 4.0.0
Homepage: http://emacspeak.sf.net
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git

Package: emacspeak
Architecture: all
Depends: adduser,
         debconf,
         emacs25 | emacs (>=47.0~),
         make,
         perl,
         tcl,
         tclx8.4,
         ${misc:Depends},
         ${perl:Depends}
Recommends: emacspeak-espeak-server, sox
Breaks: emacs20, emacs21, emacs22, emacs23
Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
Description: speech output interface to Emacs
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package recommends the speech server for the espeak (software) 
 speech synthesizer, so it should work straight away. However it also
 contains the source for speech servers to support the DECtalk Express
 and DECtalk MultiVoice (hardware) speech synthesizers. For other
 synthesizers, look for speech server packages such as emacspeak-ss and
 eflite.

Package: emacspeak-espeak-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: emacspeak
Description: espeak syntesis server for emacspeak
 Emacspeak is a speech output system that will allow someone who
 cannot see to work directly on a UNIX system.
 .
 Emacspeak is built on top of Emacs. Once Emacs is started with Emacspeak
 loaded, users get spoken feedback for all actions. As Emacs can do
 everything, they get speech feedback for everything they do.
 .
 This package includes the speech server for the espeak (software) 
 speech synthesizer.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

package=emacspeak
debbase := $(shell pwd)/debian
pkgtmp  := $(debbase)/$(package)
eldir   := usr/share/emacs/site-lisp/$(package)
deblsp  := $(pkgtmp)/$(eldir)
tmpdir  := $(debbase)/tmp/$(eldir)

%:
	dh  $@

override_dh_auto_build-arch:
	$(MAKE) TCL_VERSION="" --directory servers/linux-espeak

override_dh_auto_build-indep:
	echo $(DEB_VERSION) > debian_version

# Upstream doesn't ship a changelog file but NEWS-* basically contain what is needed
# so cat that all together. Not 100% elegant, but it will do for now.
# Note: the loop is to sort 8 and 9 before the rest
	echo > changelog
	for release in 8 9 1 2 3 4 ; do \
		cat etc/NEWS-$${release}* >> changelog ; \
	done
	cat etc/NEWS >> changelog

	# The 3d auditory icon theme was generated using CSound, but it expects the
	# reference files in the same directory.
	ln -s /usr/share/csound/hrtf/*.dat sounds/3d/src/
	cd sounds/3d/src ; \
	for file in *.csd ; do \
		if [ ! "$$file" = interactive.csd ] ; then \
			csound -o ../$${file%csd}wav $$file ; \
		fi ; \
	done

	$(MAKE) --directory=etc tips.html applications.html

override_dh_auto_clean:
	debconf-updatepo

	$(MAKE) clean
	$(MAKE) --directory servers/linux-espeak clean

# the following items should be done by the get-orig-source target, but
# leave them here just in case we might not need that target in the future
# the sources included some byte-compiled file by mistake
	find . -name \*.elc -delete
	find . -name \*.pyc -delete
	find . -name \*.pyo -delete
	dh_clean 

override_dh_auto_install-indep:
	dh_auto_install

	# Upstream stopped providing an install target. Instead it recommends to
	# "copy the resulting emacspeak directory to the install location". So,
	# let's do that, but prevent the debian sub dir to be copied, as I fear
	# that would lead to some level of recursive copying.
	#
	# Also strip out personal tvr stuff.
	#
	# For now, also don't install the bash-utils, as it requires some thinking
	# and tweaking for Debian to function properly.
	#
	# And, to avoid clutter from etc/, lets do that via emacspeak.install
	mkdir -p $(tmpdir)
	cp -pR $$(find . -maxdepth 1 -type d ! -name .\* ! -name bash-utils ! -name debian \
		! -name etc ! -name tvr -o -type f) $(tmpdir)

	# Obviously, now we need to remove the stuff we don't want here.
	find $(tmpdir) -name \*~ -delete
	find $(tmpdir) -name \*.elc -delete
	find $(tmpdir) -depth -name .\* -exec rm -r {} \;
	# Doesn't seem to make sense in a Debian package where we use emacspeak.sh
	# instead
	rm $(tmpdir)/run
	rm $(tmpdir)/runq
	# Already compiled and shipped in emacspeak-espeak-server
	rm -r $(tmpdir)/servers/linux-espeak
	# Should be made into a proper package
	rm -r $(tmpdir)/servers/linux-outloud
	# Files for Mac, not for Debian
	rm -r $(tmpdir)/servers/mac
	rm -r $(tmpdir)/servers/log-mac
	# Source files
	rm -r $(tmpdir)/sounds/3d/src
	# Original convertion script, but useless now
	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh

override_dh_auto_install-arch:

override_dh_install:
	# Exclude the files that go into the documentation
	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm

override_dh_fixperms-indep:
# Only fix the following in the indep case
# scripts and speech servers should be executable
	if [ -d $(deblsp) ] ; then \
		chmod 644 `find $(deblsp) -type f`; \
		chmod 755 $(deblsp)/etc/*.pl				\
			$(deblsp)/etc/*2text				\
			$(deblsp)/etc/emacspeak.sh          \
			$(deblsp)/servers/cloud*			\
			$(deblsp)/servers/dtk-exp			\
			$(deblsp)/servers/espeak			\
			$(deblsp)/servers/log-*			\
			$(deblsp)/servers/outloud			\
			$(deblsp)/servers/speech-server			\
			$(deblsp)/servers/ssh-dtk-exp			\
			$(deblsp)/servers/ssh-espeak			\
			$(deblsp)/servers/ssh-outloud ;			\
	fi

	dh_fixperms

override_dh_compress:
# NEWS can be called from emacspeak command, don't compress
	dh_compress -XNEWS

override_dh_auto_test-indep:
	dh_auto_test
	# To see if compiling the code works and we are not missing dependencies
	$(MAKE)

## emacspeak 47.0%2Bdfsg

=== debian/changelog ===
emacspeak (47.0+dfsg-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.1.1 (no changes).
  * control: Fix typo (Closes: #875735).

  [ Paul Gevers ]
  * New upstream release
  * control: Bump Standards-Version to 4.1.2 (no changes).

 -- Paul Gevers <elbrus@debian.org>  Sat, 02 Dec 2017 09:51:05 +0100

## emacspeak 47.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 # {{{  User level targets emacspeak info  outloud espeak 
 
 emacspeak:
-	@test -f  lisp/emacspeak-loaddefs.el || @$(MAKE) config
+	@test -f  lisp/emacspeak-loaddefs.el || $(MAKE) config
 	@cd lisp && $(MAKE)
 	@make   $(README)
 	@chmod 644 $(README)
@@ -81,18 +81,20 @@
 config:
 	@cd etc && $(MAKE) config  
 	@cd lisp && $(MAKE) config
-	@echo "Configured emacspeak in directory $(SRC). Now type make emacspeak"
+	@cd lisp/g-client  && $(MAKE) config
+	@echo "Configured emacspeak in directory $(SRC)."
 
 # }}}
 # {{{  complete build
 
 all: emacspeak
 
-#clean, config and build
+#clean, config and build (development)
 q:
 	make clean
 	make config 
-	make 
+	make
+	cd lisp && make muggles 
 
 # }}}
 # {{{  user level target-- clean

=== etc/Makefile ===
# $Id$
# $Author: tv.raman.tv $ 
# Description:  Makefile for Emacspeak 
# Keywords: Emacspeak, Dectalk, Makefile 
# {{{ LCD Entry: 

# LCD Archive Entry:
# emacspeak| T. V. Raman |raman@cs.cornell.edu 
# A speech interface to Emacs |
# $Date: 2006-08-11 12:11:17 -0700 (Fri, 11 Aug 2006) $ |
#  $Revision: 4047 $ | 
# Location undetermined
#

# }}}
# {{{ Copyright:  

#Copyright (C) 1995 -- 2003, T. V. Raman 

# Copyright (c) 1994, 1995 by Digital Equipment Corporation.
# All Rights Reserved. 
#
# This file is not part of GNU Emacs, but the same permissions apply.
#
# GNU Emacs is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# GNU Emacs is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Emacs; see the file COPYING.  If not, write to
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

# }}}
all: #fix perms
	chmod 755 *.pl
# {{{xml -> html 
tips.html: tips.xml tips.xsl
	xsltproc tips.xsl tips.xml > tips.html 
%.html: %.xml
	xsltproc    $< > $@

# }}}
# {{{ User level target--  config 
config:
	@chmod 755   *.pl

# }}}
# {{{maintainer target 

pub: tips.html applications.html
	scp tips.html applications.html    raman,emacspeak@web.sourceforge.net:/home/groups/e/em/emacspeak/htdocs
# }}}
# {{{ end of file 

#local variables: 
#mode: makefile
#eval:  (fold-set-marks "# {{{" "# }}}")
#fill-column: 90
#folded-file: t
#end:

# }}}

=== lisp/Makefile ===
--- 
+++ 
@@ -42,11 +42,14 @@
 EMACS = emacs
 SRC=".."
 # How to run in batch mode
-BATCH = -batch -q -no-site-file    
+BATCH = -batch -q -no-site-file     \
+--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000)' 
 DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
 -l $(SRC)/lisp/emacspeak-loaddefs.el \
 -l $(SRC)/lisp/emacspeak-cus-load.el \
--l $(SRC)/lisp/g-client/g-load-path.el
+-l $(SRC)/lisp/g-client/g-load-path.el -l $(SRC)/lisp/g-client/g-cus-load.el  \
+-l $(SRC)/lisp/g-client/g-loaddefs.el
+
 
 COMPILE =  -f batch-byte-compile
 # How to compile
@@ -79,8 +82,8 @@
 emacspeak-keymap.elc\
 emacspeak-fix-interactive.elc\
 emacspeak-re-builder.elc \
+emacspeak-rg.elc \
 emacspeak-redefine.elc\
-emacspeak-replace.elc \
 emacspeak-table.elc \
 emacspeak-table-ui.elc \
 emacspeak-tabulate.elc \
@@ -114,7 +117,6 @@
 emacspeak-cmuscheme.elc \
 emacspeak-compile.elc \
 emacspeak-company.elc \
-congrats.elc \
 emacspeak-cperl.elc \
 emacspeak-custom.elc \
 emacspeak-dbus.elc \
@@ -123,7 +125,6 @@
 emacspeak-diff-mode.elc \
 emacspeak-dired.elc \
 emacspeak-dismal.elc \
-emacspeak-dmacro.elc \
 emacspeak-epub.elc \
 emacspeak-ecb.elc \
 emacspeak-ein.elc \
@@ -169,6 +170,7 @@
 emacspeak-helm.elc \
 emacspeak-hide.elc \
 emacspeak-hideshow.elc \
+emacspeak-hydra.elc \
 emacspeak-ibuffer.elc \
 emacspeak-ido.elc \
 emacspeak-ivy.elc \
@@ -177,7 +179,7 @@
 emacspeak-ispell.elc \
 emacspeak-jabber.elc \
 emacspeak-indium.elc \
-emacspeak-jde.elc \
+emacspeak-jdee.elc \
 emacspeak-js2.elc \
 emacspeak-jss.elc \
 emacspeak-kite.elc \
@@ -189,9 +191,11 @@
 emacspeak-make-mode.elc \
 emacspeak-markdown.elc \
 emacspeak-man.elc \
+emacspeak-maths.elc \
 emacspeak-message.elc \
 emacspeak-metapost.elc \
 emacspeak-midge.elc \
+emacspeak-mines.elc \
 emacspeak-mpg123.elc \
 emacspeak-muse.elc \
 emacspeak-mspools.elc \
@@ -199,6 +203,7 @@
 emacspeak-newsticker.elc \
 emacspeak-ocr.elc \
 emacspeak-org.elc \
+emacspeak-origami.elc \
 emacspeak-npr.elc \
 emacspeak-nxml.elc \
 emacspeak-outline.elc \
@@ -227,8 +232,10 @@
 emacspeak-ses.elc \
 emacspeak-setup.el \
 emacspeak-sgml-mode.elc \
+emacspeak-shx.elc \
 emacspeak-sh-script.elc \
 emacspeak-sigbegone.elc \
+emacspeak-smartparens.elc \
 emacspeak-smart-window.elc \
 emacspeak-solitaire.elc \
 emacspeak-speedbar.elc \
@@ -252,11 +259,12 @@
 emacspeak-texinfo.elc \
 emacspeak-todo-mode.elc \
 emacspeak-twittering.elc \
+emacspeak-typo.elc \
 emacspeak-url-template.elc \
+emacspeak-vdiff.elc \
 emacspeak-view.elc \
 emacspeak-vm.elc \
 emacspeak-w3.elc \
-emacspeak-w3m.elc \
 emacspeak-wdired.elc \
 emacspeak-we.elc \
 emacspeak-webspace.elc \
@@ -267,7 +275,6 @@
 emacspeak-winring.elc \
 emacspeak-woman.elc \
 emacspeak-wizards.elc  \
-emacspeak-wrolo.elc \
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
@@ -287,8 +294,11 @@
 all: $(OBJECTS)
 	cd g-client; $(MAKE)
 
-muggles: emacspeak-muggles.el
-	make emacspeak-muggles.elc
+muggles: emacspeak-muggles.elc emacspeak-muggles-autoloads.el
+
+
+emacspeak-muggles-autoloads.el: emacspeak-muggles.el 
+	$(EMACS) $(BATCH)  $(DEPS)    -l $< -f emacspeak-muggles-generate-autoloads
 maths: emacspeak-maths.el
 	make emacspeak-maths.elc
 force:
@@ -367,7 +377,6 @@
 emacspeak-checkdoc.elc: emacspeak-checkdoc.el dtk-speak.elc voice-setup.elc
 emacspeak-compile.elc: emacspeak-compile.el  dtk-speak.elc
 emacspeak-company.elc: emacspeak-company.el dtk-speak.elc
-congrats.elc: congrats.el dtk-speak.elc
 emacspeak-cperl.elc: emacspeak-cperl.el dtk-speak.elc voice-setup.elc
 emacspeak-custom.elc: emacspeak-custom.el dtk-speak.elc voice-setup.elc
 emacspeak-cyclebuffer.elc: emacspeak-cyclebuffer.el dtk-speak.elc
@@ -378,12 +387,7 @@
 emacspeak-diff-mode.elc: emacspeak-diff-mode.el dtk-speak.elc voice-setup.elc
 emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
 emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
-emacspeak-dmacro.elc: emacspeak-dmacro.el dtk-speak.elc voice-setup.elc
 emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
 emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
 emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
 emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc
-emacspeak-elisp-refs.elc: emacspeak-elisp-refs.el dtk-speak.elc voice-setup.elc
-emacspeak-elscreen.elc: emacspeak-elscreen.el dtk-speak.elc voice-setup.elc
-emacspeak-xkcd.elc: emacspeak-xkcd.el dtk-speak.elc
-emacspeak-eclim.elc: emacspeak-eclim.el dtk-speak.elc voice-setup.elc

=== tvr/Makefile ===
# Build all setup files we use 

EMACS=emacs
BATCH = -batch -q -no-site-file    
COMPILE =  -f batch-byte-compile

SETUP = emacs-startup.elc kbd-setup.elc  \
 vm-prepare.elc gnus-prepare.elc bbdb-prepare.elc \
laptop-local.elc touchpad-disable.elc elfeed-prepare.elc \
 folding.elc folding-prepare.elc \
auctex-prepare.elc reftex-prepare.elc \
calc-prepare.elc js-prepare.elc tcl-prepare.elc \
slime-prepare.elc  python-mode-prepare.elc \
 sp-prepare.elc org-prepare.elc erc-prepare.elc \
jabber-prepare.elc twittering-prepare.elc \
iplayer-prepare.elc \
helm-prepare.elc vdiff-prepare.elc \
projectile-prepare.elc  yasnippet-prepare.elc 

all: $(SETUP)

%.elc: %.el
	$(EMACS) $(BATCH) $(COMPILE) $<
clean:
	rm -f *.elc

=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -41,9 +41,7 @@
 BATCH = -batch -q -no-site-file   
 DEPS= -l ./g-load-path.el -l ./g-loaddefs.el
 COMPILE =  -f batch-byte-compile
-OBJECTS= g-auth.elc \
-g-app.elc \
-g-utils.elc \
+OBJECTS= g-utils.elc \
 g.elc \
 gweb.elc \
 gmaps.elc \
@@ -51,7 +49,7 @@
 
 
 MODULES=\
- g-auth.el g-app.el g-utils.el g.el gweb.el gmaps.el gm-nnir.el 
+  g-utils.el g.el gweb.el gmaps.el gm-nnir.el 
 
 # How to compile
 %.elc:  %.el
@@ -64,9 +62,7 @@
 	@make config 
 	@make $(OBJECTS)
 
-config: g-cus-load.el g-autogen.el
-
-
+config: g-cus-load.el g-loaddefs.el
 
 g-loaddefs.el:${MODULES}
 	@echo ";;;Auto generated" > g-loaddefs.el
@@ -79,9 +75,7 @@
 # {{{  Make rules for the various modules
 
 g-utils.elc: g-utils.el
-g-auth.elc: g-auth.el g-utils.elc
-g-app.elc: g-auth.elc g-utils.elc g-app.el
-g.elc: g.el  g-auth.elc
+g.elc: g.el  
 gweb.elc: gweb.el g-utils.elc
 gmaps.elc: gmaps.el g-utils.elc
 gm-nnir.elc: gm-nnir.el

=== servers/linux-espeak/Makefile ===
#$Id: Makefile 6198 2009-08-25 15:19:03Z tv.raman.tv $

INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-espeak
TCL_VERSION = 8.6
TCL_INCLUDE= /usr/include/tcl$(TCL_VERSION)
CXXFLAGS+= -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall -Wno-long-long -I$(TCL_INCLUDE)

LIBS= -ltcl$(TCL_VERSION) -lespeak

TTS=tclespeak.so

all:   $(TTS)

$(TTS): tclespeak.o
	$(CXX) $(LDFLAGS) -shared -o $@ $< $(LIBS)

clean:
	rm -f *.so *.o

install: $(TTS)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== servers/linux-outloud/Makefile ===
#$Id$
# Now setup to use Voxin 1.6 with direct 64-bit support.
# Type make, run ./servers/outloud for running the server.
INSTALL = install
PREFIX = /usr
LIBPARENTDIR = ${PREFIX}/share/emacs/site-lisp
LIBDIR =$(LIBPARENTDIR)/emacspeak/servers/linux-outloud

TCL_VERSION=8.6
TCL_INCLUDE=/usr/include/tcl$(TCL_VERSION)
CFLAGS+= -g    -O4 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
#CFLAGS+= -m32 -g    -O2 -fPIC  -DPIC  -pedantic -ansi -Wall  -Wno-long-long -I$(TCL_INCLUDE)
CXXFLAGS+= $(CFLAGS)
LIBS= -ltcl$(TCL_VERSION) -lasound -ldl    

all:   atcleci.so

atcleci.so: langswitch.o atcleci.o
	$(CXX) $(LDFLAGS)  -shared -o $@ langswitch.o atcleci.o $(LIBS)

clean:
	rm -f *.so *.o 

install: atcleci.so
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	$(INSTALL) $< $(DESTDIR)$(LIBDIR)

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                      docbook-xsl,
                      emacs25-nox | emacs-nox (>=47.0~),
                      xsltproc,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 Homepage: http://emacspeak.sf.net
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
@@ -38,7 +38,7 @@
  loaded, users get spoken feedback for all actions. As Emacs can do
  everything, they get speech feedback for everything they do.
  .
- This package recommends the speech server for the espeak (software) 
+ This package recommends the speech server for the espeak (software)
  speech synthesizer, so it should work straight away. However it also
  contains the source for speech servers to support the DECtalk Express
  and DECtalk MultiVoice (hardware) speech synthesizers. For other
@@ -49,7 +49,7 @@
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Enhances: emacspeak
-Description: espeak syntesis server for emacspeak
+Description: espeak synthesis server for emacspeak
  Emacspeak is a speech output system that will allow someone who
  cannot see to work directly on a UNIX system.
  .
@@ -57,5 +57,5 @@
  loaded, users get spoken feedback for all actions. As Emacs can do
  everything, they get speech feedback for everything they do.
  .
- This package includes the speech server for the espeak (software) 
+ This package includes the speech server for the espeak (software)
  speech synthesizer.

=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	find . -name \*.elc -delete
 	find . -name \*.pyc -delete
 	find . -name \*.pyo -delete
-	dh_clean 
+	dh_clean
 
 override_dh_auto_install-indep:
 	dh_auto_install

## emacspeak 49.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -67,7 +67,7 @@
 README: 
 	@rm -f README
 	@echo "Emacspeak  Revision $(GITVERSION)" > $(README)
-	@echo "Distribution created by `whoami` on `hostname`" >> $(README)
+	@echo "Distribution created by `whoami` at `date`" >> $(README)
 	@echo "Unpack the  distribution And type make config " >> $(README)
 	@echo "Then type make" >> $(README)
 EXCLUDES=-X .excludes --exclude-backups
@@ -89,12 +89,18 @@
 
 all: emacspeak
 
+help:
+	@make -s
 #clean, config and build (development)
 q:
 	make clean
 	make config 
 	make
-	cd lisp && make muggles 
+	cd lisp && make muggles
+	cd	 tvr && make
+
+qq:
+	make -s -j q 2>&1 |grep -v Loading 
 
 # }}}
 # {{{  user level target-- clean
@@ -128,14 +134,21 @@
 install:
 	@echo "To run  this Emacspeak build, add this  line to the top of your .emacs:"
 	@echo "(load-file \"`pwd`/lisp/emacspeak-setup.el\")"
+	@echo "If using espeak or outloud for TTS, "
+	@echo "type make <engine> to first build that speech-server."
 	@echo "Package maintainers: see   etc/install.org	 for instructions."
+
+# }}}
+# {{{Worktree:
+# Usage make wk TAG=tag
+wk:
+	git worktree add ../${TAG} ${TAG}
 
 # }}}
 # {{{ end of file
 
 #local variables:
 #mode: makefile
-#eval:  (fold-set-marks "# {{{" "# }}}")
 #fill-column: 90
 #folded-file: t
 #end:

=== lisp/Makefile ===
--- 
+++ 
@@ -43,7 +43,8 @@
 SRC=".."
 # How to run in batch mode
 BATCH = -batch -q -no-site-file     \
---eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000)' 
+--eval '(setq file-name-handler-alist nil gc-cons-threshold 64000000 \
+load-source-file-function  nil)' 
 DEPS=-l $(SRC)/lisp/emacspeak-load-path.el \
 -l $(SRC)/lisp/emacspeak-loaddefs.el \
 -l $(SRC)/lisp/emacspeak-cus-load.el \
@@ -67,6 +68,7 @@
 
 SPEAK_OBJECTS =   \
 emacspeak-speak.elc  \
+emacspeak-prompts.elc \
 emacspeak-actions.elc \
 voice-setup.elc \
 emacspeak-personality.elc \
@@ -185,6 +187,7 @@
 emacspeak-kite.elc \
 emacspeak-kmacro.elc  \
 emacspeak-librivox.elc \
+emacspeak-lispy.elc \
 emacspeak-lua.elc \
 emacspeak-magit.elc \
 emacspeak-m-player.elc \
@@ -196,7 +199,6 @@
 emacspeak-metapost.elc \
 emacspeak-midge.elc \
 emacspeak-mines.elc \
-emacspeak-mpg123.elc \
 emacspeak-muse.elc \
 emacspeak-mspools.elc \
 emacspeak-net-utils.elc \
@@ -228,6 +230,7 @@
 emacspeak-rmail.elc \
 emacspeak-rpm.elc  \
 emacspeak-ruby.elc \
+emacspeak-sage.elc \
 emacspeak-slime.elc \
 emacspeak-ses.elc \
 emacspeak-setup.el \
@@ -263,8 +266,8 @@
 emacspeak-url-template.elc \
 emacspeak-vdiff.elc \
 emacspeak-view.elc \
+emacspeak-vlc.elc \
 emacspeak-vm.elc \
-emacspeak-w3.elc \
 emacspeak-wdired.elc \
 emacspeak-we.elc \
 emacspeak-webspace.elc \
@@ -278,6 +281,7 @@
 emacspeak-xref.elc \
 emacspeak-xml-shell.elc \
 emacspeak-xslt.elc \
+emacspeak-yaml.elc \
 emacspeak-yasnippet.elc 
 
 ADDON_OBJECTS = \
@@ -307,7 +311,11 @@
 lint:
 	echo "." |\
 emacs -batch -q \
+-f package-initialize \
 -l advice.el -l emacspeak-load-path.el  -l emacspeak-loaddefs.el \
+-l ./g-client/g-loaddefs.el \
+-l ./g-client/g-load-path.el \
+-l g-utils.el \
 -f elint-directory 
 
 # }}}
@@ -388,6 +396,3 @@
 emacspeak-dired.elc: emacspeak-dired.el dtk-speak.elc voice-setup.elc
 emacspeak-dismal.elc: emacspeak-dismal.el dtk-speak.elc voice-setup.elc
 emacspeak-ecb.elc: emacspeak-ecb.el dtk-speak.elc voice-setup.elc
-emacspeak-ein.elc: emacspeak-ein.el dtk-speak.elc voice-setup.elc
-emacspeak-ediary.elc: emacspeak-ediary.el dtk-speak.elc voice-setup.elc
-emacspeak-ediff.elc: emacspeak-ediff.el dtk-speak.elc voice-setup.elc

=== lisp/g-client/Makefile ===
--- 
+++ 
@@ -105,7 +105,6 @@
 
 #local variables:
 #mode: makefile
-#eval:  (fold-set-marks "# {{{" "# }}}")
 #fill-column: 90
 #folded-file: t
 #end:

=== debian/changelog ===
emacspeak (49.0+dfsg-3) unstable; urgency=medium

  * Add dont-break-on-vm-cruft.patch to avoid installation failure
    (Closes: #921883)

 -- Paul Gevers <elbrus@debian.org>  Sun, 10 Feb 2019 20:51:25 +0100

emacspeak (49.0+dfsg-2) unstable; urgency=medium

  [ Paul Gevers ]
  * d/emacsen-remove: don't fail removal if files doesn't exist (Closes:
    #919001)
  * Rework emacsen-install more, drop difference between update and install
  * Fix backslash issue gone unnoticed in previous upload

  [ Sam Hartman ]
  * Fix eterm to speak several messages, Closes: 919427

 -- Paul Gevers <elbrus@debian.org>  Tue, 15 Jan 2019 21:52:21 +0100

emacspeak (49.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Raise emacs minimum version and versioned Breaks on emacs23/emacs24/emacs25
  * Don't install emacspeak-cus-load.el (Closes: #917229)
  * Rework emacsen-install a bit to avoid recompiling every time for emacs

 -- Paul Gevers <elbrus@debian.org>  Sat, 12 Jan 2019 12:54:20 +0100

emacspeak (47.0+dfsg-6) unstable; urgency=medium

  * Fix emacspeak.sh generation (Closes: Bug#914367)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 22 Nov 2018 19:09:55 +0100

emacspeak (47.0+dfsg-5) unstable; urgency=medium

  [ Rémi Vanicat ]
  * Fix incompatibility with elpa-auto-complete (Closes: 913025)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Nov 2018 18:36:43 +0100

emacspeak (47.0+dfsg-4) unstable; urgency=medium

  * Fix arch-specific build (Closes: Bug#912311).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 30 Oct 2018 10:23:07 +0100

emacspeak (47.0+dfsg-3) unstable; urgency=medium

  * rules: Rename etc/emacspeak.sh to etc/emacspeak.sh.in, remove
    lisp/emacspeak-loaddefs.el
  * emacsen-install: Sed etc/emacspeak.sh.in to etc/emacspeak.sh instead of
    in-place.
  * emacsen-remove: Remove files for emacs flavor too.
  * rules: Remove generated file, install etc/emacspeak.sh as
    etc/emacspeak.sh.in.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 29 Oct 2018 23:22:51 +0100

emacspeak (47.0+dfsg-2~1) unstable; urgency=medium

  * emacsen-install: Fix spurious removal of source files
    (Closes: Bug#911901).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Oct 2018 02:19:34 +0200

emacspeak (47.0+dfsg-2~0) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * emacsen-install: Fix byte-compilation with flavor emacs with newer emacs
    version (Closes: Bug#911582).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 24 Oct 2018 09:54:17 +0200

=== debian/control ===
--- 
+++ 
@@ -9,18 +9,18 @@
                tcl-dev,
 Build-Depends-Indep: csound,
                      docbook-xsl,
-                     emacs25-nox | emacs-nox (>=47.0~),
+                     emacs-nox (>= 1:26.1~),
                      xsltproc,
-Standards-Version: 4.1.2
+Standards-Version: 4.2.0
 Homepage: http://emacspeak.sf.net
-Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/emacspeak.git
+Vcs-Browser: https://salsa.debian.org/a11y-team/emacspeak
+Vcs-Git: https://salsa.debian.org/a11y-team/emacspeak.git
 
 Package: emacspeak
 Architecture: all
 Depends: adduser,
          debconf,
-         emacs25 | emacs (>=47.0~),
+         emacs (>= 1:26.1~),
          make,
          perl,
          tcl,
@@ -28,7 +28,12 @@
          ${misc:Depends},
          ${perl:Depends}
 Recommends: emacspeak-espeak-server, sox
-Breaks: emacs20, emacs21, emacs22, emacs23
+Breaks: emacs20,
+        emacs21,
+        emacs22,
+        emacs23 (<< 1:25.2+1-7~),
+        emacs24 (<< 1:25.2+1-7~),
+        emacs25 (<< 1:25.2+1-7~),
 Suggests: eflite, emacspeak-ss, espeak, psgml, w3m-el, xsltproc
 Description: speech output interface to Emacs
  Emacspeak is a speech output system that will allow someone who

=== debian/rules ===
--- 
+++ 
@@ -97,12 +97,17 @@
 	rm -r $(tmpdir)/sounds/3d/src
 	# Original convertion script, but useless now
 	rm $(tmpdir)/sounds/pan-chimes/apply-pan.sh
+	# Let it generated at configuration
+	rm $(tmpdir)/lisp/emacspeak-cus-load.el
+	rm $(tmpdir)/lisp/emacspeak-loaddefs.el
 
 override_dh_auto_install-arch:
 
-override_dh_install:
+override_dh_install-indep:
 	# Exclude the files that go into the documentation
 	dh_install --list-missing -Xdtk/DTK -Xetc/NEWS -XREADME -X.html -Xremote.txt -Xstumpwm
+	# We will sed it at configuration
+	mv debian/emacspeak/$(eldir)/etc/emacspeak.sh debian/emacspeak/$(eldir)/etc/emacspeak.sh.in
 
 override_dh_fixperms-indep:
 # Only fix the following in the indep case
@@ -111,7 +116,7 @@
 		chmod 644 `find $(deblsp) -type f`; \
 		chmod 755 $(deblsp)/etc/*.pl				\
 			$(deblsp)/etc/*2text				\
-			$(deblsp)/etc/emacspeak.sh          \
+			$(deblsp)/etc/emacspeak.sh.in          \
 			$(deblsp)/servers/cloud*			\
 			$(deblsp)/servers/dtk-exp			\
 			$(deblsp)/servers/espeak			\
